Bug 150549 - timeconfig and redhat-config-date apply settings even when the 'cancel' button is pressed
Summary: timeconfig and redhat-config-date apply settings even when the 'cancel' butto...
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-date   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-08 07:23 UTC by Joseph Stevens
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 12:28:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joseph Stevens 2005-03-08 07:23:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
dateconfig at the console and at the gui apply setting changes made 
to the timezone even if the 'cancel' button is pressed.

Oddly enough, this seems to only occur in the Japanese local 
(LANG=ja_JP.eucJP).  If you do an 'export LANG=C' before running 
dateconfig, everything works fine.

Steps to reproduce are listed below.

Version-Release number of selected component (if applicable):
redhat-config-date-1.5.22-3

How reproducible:
Always

Steps to Reproduce:
1.Install RHEL 3 and update to the latest version of redhat-date-
config, make sure to install the Japanese language and make it the 
default.  
2. Use dateconfig from the console to set the timezone to JST (ie: 
Asia/Tokyo)
3. Exit dateconfig, execute the 'date' command to check the 
timezone.  It should be JST.
4. execute dateconfig, select a DIFFERENT timezone, then 
select 'cancel'.
5. use the 'date' command to check the timezone, notice it has 
CHANGED even though cancel was selected.
6. at the bash prompt set the local to C (export LANG=C)
7. execute dateconfig again, select a new timezone, select cancel.  
Notice how this time the timezone DIDN'T change (ie: it operated 
properly)
    

Actual Results:  Setting timezone via redhat-config-date is broken in 
ja_JP locale, works in C locale.

Expected Results:  Should work the same way (ie: correctly) in both 
locals.

Additional info:

Comment 1 Nils Philippsen 2005-08-19 10:08:36 UTC
Do you see this using redhat-config-date (the GUI config tool) as well? The text
mode toolsmay have some quirks not present there.

Comment 2 Nils Philippsen 2006-06-07 12:28:38 UTC
Closing due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.